Index: main/taskprocessor.c
===================================================================
--- main/taskprocessor.c	(revision 385010)
+++ main/taskprocessor.c	(working copy)
@@ -65,14 +65,14 @@
 
 /*! \brief A ast_taskprocessor structure is a singleton by name */
 struct ast_taskprocessor {
-	/*! \brief Friendly name of the taskprocessor */
-	const char *name;
 	/*! \brief Thread poll condition */
 	ast_cond_t poll_cond;
+	/*! \brief Taskprocessor lock */
+	ast_mutex_t taskprocessor_lock;
 	/*! \brief Taskprocessor thread */
 	pthread_t poll_thread;
-	/*! \brief Taskprocessor lock */
-	ast_mutex_t taskprocessor_lock;
+	/*! \brief Friendly name of the taskprocessor */
+	const char *name;
 	/*! \brief Taskprocesor thread run flag */
 	unsigned char poll_thread_run;
 	/*! \brief Taskprocessor statistics */
